#include <stdio.h>
#define _USE_MATH_DEFINES
#include <math.h>

int main()
{
	int x, j, N; 
	double t, integral, dk; 
	
	t = 100; // 時刻
	N = 1000000; 
	dk = M_PI / (2 * N); 
	
	// 時刻tにおける場所xの確率の計算（近似計算）
	for (x = -150; x <= 150; x++)
	{
		// 積分の近似計算
		integral = 0; 
		
		if (x % 2 == 0)
		{
			for (j = 0; j < N; j++)
			{
				integral += cos(t * cos(j * dk)) * cos(x * j * dk) * dk; 
			}
		}
		else
		{
			for (j = 0; j < N; j++)
			{
				integral += sin(t * cos(j * dk)) * cos(x * j * dk) * dk; 
			}
		}
		
		printf("p(%d) = %f\n", x, 4.0 / pow(M_PI, 2) * pow(integral, 2)); 
	}
	
	return 0; 
}